Last Comment Bug 740502 - Opening a previous conversation causes character encoding error
: Opening a previous conversation causes character encoding error
Status: RESOLVED FIXED
:
Product: Thunderbird
Classification: Client Software
Component: Instant Messaging (show other bugs)
: unspecified
: x86_64 Windows 7
: -- normal (vote)
: Thunderbird 14.0
Assigned To: Florian Quèze [:florian] [:flo]
:
:
Mentors:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2012-03-29 11:05 PDT by Philipp Kewisch [:Fallen]
Modified: 2012-04-16 01:48 PDT (History)
2 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
fixed


Attachments
Patch (840 bytes, patch)
2012-04-10 09:10 PDT, Florian Quèze [:florian] [:flo]
clokep: review+
mozilla: approval‑comm‑aurora+
Details | Diff | Splinter Review

Description Philipp Kewisch [:Fallen] 2012-03-29 11:05:54 PDT
STR:

1. Create a random conversation and write something
2. Close the conversation
3. Click on the contact, it will open the previous conversation

Results:

Error: The character encoding of the HTML document was not declared. The document will render with garbled text in some browser configurations if the document contains characters from outside the US-ASCII range. The character encoding of the page must to be declared in the document or in the transfer protocol.
Source File: chrome://chat/content/conv.html
Line: 0
Comment 1 Florian Quèze [:florian] [:flo] 2012-03-29 12:00:36 PDT
I started seeing this error message today too. I suspect we are seeing it now because bug 737022 has been fixed.
Comment 2 Florian Quèze [:florian] [:flo] 2012-04-10 09:10:56 PDT
Created attachment 613633 [details] [diff] [review]
Patch

Here's a trivial fix. However this code depends on bug 713825 which was fixed in Mozilla 12, so we can't take this patch for Instantbird immediately.
Comment 3 Patrick Cloke [:clokep] 2012-04-10 18:35:22 PDT
Comment on attachment 613633 [details] [diff] [review]
Patch

This change seems fine Florian.
Comment 4 Florian Quèze [:florian] [:flo] 2012-04-13 03:16:34 PDT
http://hg.mozilla.org/comm-central/rev/8feb1f71d7c1
Comment 5 Florian Quèze [:florian] [:flo] 2012-04-13 03:18:29 PDT
Comment on attachment 613633 [details] [diff] [review]
Patch

[Approval Request Comment]
User impact if declined: harmless error message in the error console each time an IM conversation is displayed.

I'm not sure if this meets the criteria for landing on comm-aurora as a chat polish fix or not, so requesting approval just in case it does, although I don't feel strongly either way.
Comment 6 Mark Banner (:standard8, limited time in Dec) 2012-04-16 01:43:52 PDT
The transplant of this failed, did it need something extra?
Comment 7 Mark Banner (:standard8, limited time in Dec) 2012-04-16 01:48:18 PDT
That's because it had already landed:

http://hg.mozilla.org/releases/comm-aurora/rev/15df6e2fb261

Note You need to log in before you can comment on or make changes to this bug.